/**
 * This program has been developed by students from the bachelor Computer Science at
 * Utrecht University within the Software Project course.
 * © Copyright Utrecht University (Department of Information and Computing Sciences)
 */

/* istanbul ignore file */
/* The comment above was added so the code coverage wouldn't count this file towards code coverage.
 * We do not test mock data.
 * See testing plan for more details.*/

/** Mock elements used for testing the query results. */
export const typesMockQueryResults = {
  edges: [
    {
      from: 'worker/1',
      _id: 'onderdeel_van/1100',
      _key: '1100',
      _rev: '_cYl_jTO--O',
      to: 'worker/3',
      attributes: {},
    },
    {
      from: 'worker/3',
      _id: 'onderdeel_van/662',
      _key: '662',
      _rev: '_cYl_jR2--G',
      to: 'worker/5',
      attributes: {},
    },
  ],
  nodes: [
    {
      _id: 'worker/1',
      _key: '1',
      _rev: '_cYl-Qmq-_H',
      attributes: {
        name: 'John Doe',
        age: 30,
        height: 175.5,
        sacked: false,
        birthdate: '1992-03-15',
        startingSchedule: '08:00:00',
        commutingDuration: 'PT1H',
        firstLogin: '2023-12-20T09:30:00Z',
      },
    },
    {
      _id: 'worker/2',
      _key: '2',
      _rev: '_cYl-Qmq--5',
      attributes: {
        name: 'Bob Johnson',
        age: 35,
        height: 180.2,
        sacked: false,
        birthdate: '1987-06-10',
        startingSchedule: '07:45:00',
        commutingDuration: 'PT1H15M',
        firstLogin: '2023-12-18T10:00:00Z',
      },
    },
    {
      _id: 'worker/3',
      _key: '3',
      _rev: '_cYl-Qmq--3',
      attributes: {
        name: 'Jane Smith',
        age: 28,
        height: 162.0,
        sacked: true,
        birthdate: '1995-08-20',
        startingSchedule: '09:30:00',
        commutingDuration: 'PT45M',
        firstLogin: '2023-12-19T08:45:00Z',
      },
    },
    {
      _id: 'worker/4',
      _key: '4',
      _rev: '_cYl-Qmq--z',
      attributes: {
        name: 'Bob Knee',
        age: 35,
        height: 180.2,
        sacked: false,
        birthdate: '1987-06-10',
        startingSchedule: '07:45:00',
        commutingDuration: 'PT1H15M',
        firstLogin: '2023-10-18T10:00:00Z',
      },
    },
    {
      _id: 'worker/5',
      _key: '5',
      _rev: '_cYl-Qmq--x',
      attributes: {
        name: 'Alice Brown',
        age: 25,
        height: 155.8,
        sacked: true,
        birthdate: '1998-01-05',
        startingSchedule: '08:30:00',
        commutingDuration: 'PT30M',
        firstLogin: '2023-12-17T11:15:00Z',
      },
    },
    {
      _id: 'worker/6',
      _key: '6',
      _rev: '_cYl-Qmq--v',
      attributes: {
        name: 'Michael Davis',
        age: 40,
        height: 170.0,
        sacked: false,
        birthdate: '1982-11-25',
        startingSchedule: '08:15:00',
        commutingDuration: 'PT1H30M',
        firstLogin: '2023-12-16T12:30:00Z',
      },
    },
    {
      _id: 'worker/7',
      _key: '7',
      _rev: '_cYl-Qmq--p',
      attributes: {
        name: 'Sophia Turner',
        age: 27,
        height: 168.5,
        sacked: false,
        birthdate: '1994-07-08',
        startingSchedule: '09:00:00',
        commutingDuration: 'PT45M',
        firstLogin: '2023-12-15T14:00:00Z',
      },
    },
    {
      _id: 'worker/8',
      _key: '8',
      _rev: '_cYl-Qmq--n',
      attributes: {
        name: 'David Miller',
        age: 34,
        height: 185.0,
        sacked: true,
        birthdate: '1989-04-30',
        startingSchedule: '07:30:00',
        commutingDuration: 'PT1H',
        firstLogin: '2023-12-14T15:15:00Z',
      },
    },
    {
      _id: 'worker/9',
      _key: '9',
      _rev: '_cYl-Qmq--l',
      attributes: {
        name: 'Olivia Harris',
        age: 31,
        height: 160.5,
        sacked: false,
        birthdate: '1992-12-15',
        startingSchedule: '09:45:00',
        commutingDuration: 'PT1H15M',
        firstLogin: '2023-12-13T16:30:00Z',
      },
    },
    {
      _id: 'worker/10',
      _key: '10',
      _rev: '_cYl-Qmq--j',
      attributes: {
        name: 'Daniel Lee',
        age: 29,
        height: 175.0,
        sacked: true,
        birthdate: '1994-09-20',
        startingSchedule: '08:00:00',
        commutingDuration: 'PT30M',
        firstLogin: '2023-12-12T17:45:00Z',
      },
    },
    {
      _id: 'worker/11',
      _key: '11',
      _rev: '_cYl-Qmq--f',
      attributes: {
        name: 'Emily White',
        age: 33,
        height: 163.5,
        sacked: false,
        birthdate: '1989-06-18',
        startingSchedule: '08:45:00',
        commutingDuration: 'PT1H30M',
        firstLogin: '2023-12-11T19:00:00Z',
      },
    },
  ],
};
